Page MenuHomePhabricator

Epic ⚡️ : Implement DMCA and CP takedown report tools
Closed, ResolvedPublic

Description

This is a follow-up from the research by @Niharika on T159898. More background information can be found on that ticket.

Make a new tool for the DMCA and CP takedown tools

  • The forms should replicate the functionality of the existing tool.
  • Merge the two tools (one which posts on wiki and one which doesn't) into one (additional form checkbox).
  • Pull in data from wikis wherever possible (like information about a commons file/uploader etc.)
  • Validate data wherever possible
  • Do away with local accounts and use OAuth (make sure to only allow access to specific staff accounts etc.)
  • Log actions by users
  • Retrieval function for given case ID (From the database)
  • Copy over functionality for strategy tools (If needed?)
  • Host on private server

And also, everything in Requested changes in the task description:

  • Right now, the tool only tracks the files that are taken down. We also want to track the requests that don't lead to a takedown, so there should be a full log. There should likely be an option added for request granted (image removed) or denied (image kept.)
  • The 'Project' dropdown is currently hardcoded, can it be expanded or have an 'Other' that allows for a textbox? (with validation?)
  • Some of the fields should not be mandatory.
  • Anything required by the Lumen API should be required
  • If the request was not complied with, then nothing should be required
  • This should write to SalesForce instead of Sugar. The exact same data should be stored.
  • Potentially support multi-file support. (CP takedown already has this, DMCA very rarely needs it)

Tasks

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I think one exists. @Jalexander can tell us more.

I've created T169543 as a subtask to track the Salesforce question. I've also sent James an email on this topic.

dbarratt updated the task description. (Show Details)Jul 4 2017, 3:17 AM

@Jalexander Do you know if there is any documentation on the NCMEC Reporting API? I can reverse engineer what you have, but I figured it would probably be faster if you knew of

I found this for Lumen https://lumendatabase.org/pages/researchers#apidocs but I couldn't find anything for NCMEC

The NCMEC's website — http://www.missingkids.com/CyberTipline — requests an email to access their API. @Jalexander I would suggest searching your inbox for @ncmec.org so we can reuse what they've already granted.

Errr.. actually that Lumen doc looks like it's only GET not for POST :/

dbarratt updated the task description. (Show Details)Jul 5 2017, 8:29 PM

@TBolliger & @Jalexander

More questions! :)

  1. Are we taking any functionality for strategy tools? (I feel like this was answered somewhere, but I'm not finding it) If we are, perhaps this should be a separate tool?
  2. Should users be able to edit and/or delete takedown records after they have been created? (currently they cannot, but what happens if you make a mistake after entering data? Do they just create a new one? What happens to the old one?)

Thanks!

dbarratt updated the task description. (Show Details)Jul 5 2017, 8:35 PM
dbarratt updated the task description. (Show Details)

@Jalexander & @Niharika

Do either of you have the OAuth keys from the current app? I'd like to have @TBolliger start to QA what I have so far, but need a valid OAuth Consumer. (unless we should just start a new one/version?)

  1. No — we're leaving the strategy tools as they are.
  2. James can correct me if I'm wrong, but in the old tool there is no retraction feature for DMCA but there is one for NCMEC for situations when the original report wasn't 100% completed (such as a failure in one of the steps of the multi step API submission.) James proposed that this could be automated (e.g. if the system detects a failure, it retracts and re-submits until successful.) It has not been requested that we add in any new retract or retract-edit-and-resubmit functionality.

@Jalexander & @Niharika
Do either of you have the OAuth keys from the current app? I'd like to have @TBolliger start to QA what I have so far, but need a valid OAuth Consumer. (unless we should just start a new one/version?)

@dbaratt - I believe you already requested one earlier? If you have access to the current tool server, you'll probably find the Oauth key there in a config file or something?

@Niharika I requested a local dev one, I can request an official one. And I have access to tools, but I don't think this is hosted on tools?

@Niharika I requested a local dev one, I can request an official one. And I have access to tools, but I don't think this is hosted on tools?

No, this is not on tools. I meant if you have access to the server where this is hosted. If you don't, you should probably ask for access. You should have it.

If you don't, you should probably ask for access. You should have it.

@kaldari would you be able to give me access?

I believe only @Jalexander has that power. :)

dbarratt updated the task description. (Show Details)Jul 6 2017, 1:11 PM
dbarratt updated the task description. (Show Details)Jul 6 2017, 1:32 PM
dbarratt updated the task description. (Show Details)Jul 6 2017, 1:36 PM
dbarratt updated the task description. (Show Details)Jul 11 2017, 5:10 PM
TBolliger changed the status of subtask T169880: Push takedown tools data to Salesforce from Open to Stalled.Jul 12 2017, 9:07 PM
dbarratt changed the status of subtask T169878: Push DMCA takedown tool to Lumen Database from Open to Stalled.Jul 24 2017, 9:00 PM
dbarratt updated the task description. (Show Details)Aug 1 2017, 2:18 PM
TBolliger renamed this task from Implement DMCA and CP takedown report tools to Epic ⚡️ : Implement DMCA and CP takedown report tools.Aug 2 2017, 7:06 PM
TBolliger removed the point value for this task.
dbarratt changed the status of subtask T169883: Deploy new Takedown Tools to Prod from Open to Stalled.Aug 3 2017, 3:13 PM
dbarratt changed the status of subtask T169883: Deploy new Takedown Tools to Prod from Stalled to Open.Aug 4 2017, 4:38 AM
dbarratt removed dbarratt as the assignee of this task.Oct 18 2017, 5:47 PM
TerraCodes updated the task description. (Show Details)Nov 3 2017, 6:29 AM
TerraCodes added a subscriber: TerraCodes.

(checking off closed tasks)

TBolliger closed this task as Resolved.Nov 3 2017, 6:44 PM
TBolliger moved this task from Bugs to Done on the Wikimedia-Takedown-Tools board.
TBolliger moved this task from Blocked to AHT Sprint 8 on the Anti-Harassment board.